# PEP0440 compatible formatted version, see:
# https://www.python.org/dev/peps/pep-0440/
__version__ = '1.0' # release markers: “major.minor”
__author__ = 'Amr Muhammad - YT/@AmMoPy'

# module level doc-string
__doc__ = """
ZAPS - Streamlining Exploratory Data Analysis
=============================================

**zaps** is a low-code Python wrapper built on top of industry-standard libraries 
such as Pandas, Plotly, Scipy, Scikit-learn, and more. Aimed at providing an 
intuitive and efficient data inspection and preparation framework for a 
wide range of applications; from data exploration and visualization to 
machine learning and decision-making.

Main Features
-------------
  - Combined capabilities of multiple modules in a concise single interface
  - Rich tabular reports and highly customizable interactive visualizations
  - Highlighting potential underlying problems and summarizing input data
  - Statistical modeling with commonly used algorithms and metrics
  - Flexible alternation between numeric and categorical data
  - User friendly error handling and informative workflow
  - Easy integration with Scikit-learn Pipeline

"""

__all__ = ["eda"]